import * as file_system from 'fs';
import * as http from 'http';

const port = process.env['PORT'] || 8080; // Env. variable

const server = http.createServer((request, response) => {
    response.writeHead(200, {"Content-Type": "text/html; charset=utf-8"});
    file_system.readFile('./index.html', null, function (error, data) {
        if (error) {
            response.writeHead(404);
            response.write("Whoops! './index.html' not found...");
        } else
            response.write(data);
        response.end();
    });
}).listen(port);
console.log(`Server ready to accept requests on port ${port}... ctrl + C to abort...`);
