import * as path from "path";

import * as express from 'express';

const port = process.env['PORT'] || 8080; // Env. variable

const router: express.Router = express.Router();
const my_Web_application = express();
my_Web_application.use('/', router);
router.get('/', (request, response) => { // Without router: 'my_Web_application.get('/', (request, response) => { ...'
    response.setHeader("Content-Type", "text/html; charset=utf-8");
    response.statusCode = 200;
    response.sendFile(path.join(path.resolve(__dirname, '..') + path.sep + 'index.html'));
});
const server = my_Web_application.listen(port);
console.log(`Server ready to accept requests on port ${port}... ctrl + C to abort...`);



