import * as https from 'https';

https.get("https://www.carrefour.fr/s?q=3083681093926", (response) => { // Aubergines Cassegrain
    let data = '';
    response.on('data', chunk => { // A chunk of data has been received...
        console.info(data);
        data += chunk;
    });
    response.on('end', () => { // The whole response has been received...
        try {
            console.info("\nThe end...");
        } catch (exception) {
            console.log(`${exception.name}: ${exception.message}`);
        }
    });
}).on('error', (error) => {
    console.log("Error: " + error.message);
});
